[Logitech C170] Cheese says "There was an error playing video from webcam"

Bug #1295247 reported by Archisman Panigrahi on 2014-03-20
226
This bug affects 47 people
Affects Status Importance Assigned to Milestone
cheese (Ubuntu)
Low
Unassigned

Bug Description

Whenever I open Cheese in Ubuntu 14.04 beta 1 (Unity), my external Logitech C170 webcam's light turns on once, then it turns off and Cheese turns black, written "There was an error playing video from webcam". This never happened in any previous versions of Ubuntu.
The problem is reproducible.

WORKAROUND: In Cheese preferences lower image resolution to 640x480.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: cheese 3.10.2-0ubuntu2
ProcVersionSignature: Ubuntu 3.13.0-12.32-generic 3.13.4
Uname: Linux 3.13.0-12-generic i686
ApportVersion: 2.13.2-0ubuntu5
Architecture: i386
CurrentDesktop: Unity
Date: Thu Mar 20 22:29:57 2014
InstallationDate: Installed on 2014-03-20 (0 days ago)
InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Alpha i386 (20140225)
SourcePackage: cheese
UpgradeStatus: No upgrade log present (probably fresh install)

Archisman Panigrahi (apandada1) wrote :
Changed in cheese (Ubuntu):
status: New → Confirmed

It renders essential functionality of the package (or a dependent one) broken.

Changed in cheese (Ubuntu):
importance: Undecided → High
status: Confirmed → New

Never confirm your own bugs!

tags: added: chese
tags: added: cheese
removed: chese
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cheese (Ubuntu):
status: New → Confirmed
r_avital (raphaelavital) wrote :

Same behaior in 64bit trusty,

uname -a:
3.13.0-24-generic #46-Ubuntu SMP Thu Apr 10 19:11:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Terminal output when running cheese:

** Message: cheese-application.vala:291: Error during camera setup: No device found

(cheese:3261): cheese-CRITICAL **: cheese_camera_device_get_device_node: assertion 'CHEESE_IS_CAMERA_DEVICE (device)' failed

(cheese:3261): GLib-CRITICAL **: g_variant_new_string: assertion 'string != NULL' failed

(cheese:3261): GLib-GIO-CRITICAL **: g_settings_schema_key_type_check: assertion 'value != NULL' failed

(cheese:3261): GLib-CRITICAL **: g_variant_get_type_string: assertion 'value != NULL' failed

(cheese:3261): GLib-GIO-CRITICAL **: g_settings_set_value: key 'camera' in 'org.gnome.Cheese' expects type 's', but a GVariant of type '(null)' was given

** (cheese:3261): CRITICAL **: cheese_preferences_dialog_setup_resolutions_for_device: assertion 'device != NULL' failed

Working flawlessly in saucy and raring.

r_avital (raphaelavital) wrote :

Addendum: The above is with built-in webcam on laptop, which was running fine in 64bit raring and saucy.

In Trusty, it is not detected, lsusb does not list it (which it did in raring and saucy)
External webcam works fine in chees and skype.

Problem is not with cheese, it's Trusty not detecting the camera.

Archisman Panigrahi (apandada1) wrote :

I have a external webcam (Logitech C170) which worked fine in 12.04, 12.10, 13.04, 13.10 but it is not detected in Trusty.

Yanpas (yanpaso) wrote :

The same happens to me when I change camera resolution. Do i need to duplicate my bug?
https://bugs.launchpad.net/ubuntu/+source/cheese/+bug/1316123

Yanpas (yanpaso) wrote :
hawodi (hawodi-gmail) wrote :

I wish I had researched this before buying the webcam! The internal webcam that came with MacBook Air mid 2013 does not work in Ubuntu and I was hoping an external webcam will work!

Jan Groenewald (jan-aims) wrote :

I get this problem the first time openig cheese, but not subsequent times

0 jan@muizenberg:/var/autofs/misc/home/jan$cheese
libv4l2: error got 4 consecutive frame decode errors, last error: v4l-convert: libjpeg error: End Of Image

(cheese:2431): cheese-WARNING **: Internal data flow error.: gstbasesrc.c(2865): gst_base_src_loop (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin17/GstV4l2Src:video_source:
streaming task paused, reason error (-5)

0 jan@muizenberg:/var/autofs/misc/home/jan$cheese
0 jan@muizenberg:/var/autofs/misc/home/jan$cheese
0 jan@muizenberg:/var/autofs/misc/home/jan$

64bit trusty, up to date, external logitech.

Andreas Kohlbach (ank) wrote :

I'd like to add that this problem also affects Debian (Jessie) 32bit. There were quite some kernel updates over the time without improvement. And that it worked with the same web came before.

Also that it behaves a little different here than described by others: Cheese comes up but all looks already grey in grey. I seem to be able take a photo (count down and the "flash" can be seen) but then the already mentioned error message "There was an error playing video from webcam" shows up. And no photo materializes anywhere.

Otherwise the web cam works fine. lsusb says it's a

ID 05c8:0348 Cheng Uei Precision Industry Co., Ltd (Foxlink)

My apritude log note April 2nd for the update which updated

[UPGRADE] cheese:i386 3.10.1-1sid1 -> 3.10.1-1sid1+b1

[other things]

[UPGRADE] libcheese-gtk23:i386 3.10.1-1sid1 -> 3.10.1-1sid1+b1
[UPGRADE] libcheese7:i386 3.10.1-1sid1 -> 3.10.1-1sid1+b1

Mpampis (saperduper) wrote :

I had the following error with cheese:
"libv4l2: error got 4 consecutive frame decode errors, last error: v4l-convert: libjpeg error: End Of Image"

sap@warzycha ~ $ lsb_release -a
Distributor ID: LinuxMint
Description: Linux Mint 17 Qiana
Release: 17
Codename: qiana

sap@warzycha ~ $ uname -a
Linux warzycha 3.13.0-24-generic #47-Ubuntu SMP Fri May 2 23:31:42 UTC 2014 i686 i686 i686 GNU/Linux

sap@warzycha ~ $ lsusb
[...]
Bus 003 Device 011: ID 046d:082b Logitech, Inc.
[...]

sap@warzycha ~ $ cat /proc/asound/cards
[...]
 1 [C170 ]: USB-Audio - Webcam C170
                      Webcam C170 at usb-0000:00:1a.0-2, full speed

This did the trick for me was:
1. (install guvcview using "sudo apt-get install guvcview" and) open guvcview
2. close guvcview
3. then open cheese and the webcam works!

(reference: https://bugzilla.redhat.com/show_bug.cgi?id=1056267#c1)

Arthur (iegik) wrote :

After the "guvcview" was installed, the same error appears:

libv4l2: error got 4 consecutive frame decode errors, last error: v4l-convert: libjpeg error: End Of Image

(cheese:5931): cheese-WARNING **: Internal data flow error.: gstbasesrc.c(2865): gst_base_src_loop (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin17/GstV4l2Src:video_source:
streaming task paused, reason error (-5)

Richard Field (dick-paddock) wrote :

This is not just with cheese. I am having the same problem playing video from a camera both through the camera and with a sd card reader. I can play 30 second video clips from sd cardsfine, but anything longer seems to be a problem.

Same problem here with Dell XPS 12 9Q33 and Ubuntu 14.04 unity.

Cheese initiates but closes with the following message:
libv4l2: error got 4 consecutive frame decode errors, last error: v4l-convert: libjpeg error: End Of Image

(cheese:3426): cheese-WARNING **: Internal data flow error.: gstbasesrc.c(2865): gst_base_src_loop (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin17/GstV4l2Src:video_source:
streaming task paused, reason error (-5)

uname -r:
3.13.0-32-generic

xinput:
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ATML1000:00 03EB:842F id=10 [slave pointer (2)]
⎜ ↳ DLL05E2:01 06CB:2734 id=11 [slave pointer (2)]
⎜ ↳ SynPS/2 Synaptics TouchPad id=13 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Integrated Webcam id=9 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=12 [slave keyboard (3)]
    ↳ Dell WMI hotkeys id=14 [slave keyboard (3)]

lsusb:
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 004: ID 8087:09fa Intel Corp.
Bus 001 Device 003: ID 0bda:5716 Realtek Semiconductor Corp.
Bus 001 Device 002: ID 8087:07dc Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

I've installed guvcview and it works partially on it (get some horizontal error lines on the video). But still does not work on any other place.

Any ideas?

Same here on Dell XPS 12 on Ubuntu 14.04

The webcam works with guvcview and vlc, but not with cheese, skype or xawtv.

I tried setting quirks to 0x100 and 0x80 in /etc/modprobe.d/uvcvideo.conf but without success.

emk2203 (emk2203) wrote :

Dell XPS 12 on Ubuntu 14.10, can confirm error. Only vlc works, guvcview crashes. Cheese and skype don't work.

emk2203 (emk2203) wrote :

Webcam is a 0bda:5716 Realtek

cheese same problem changing webcam resolution with internal webcam on HP620 and external philips vesta on ubuntu 14.04 amd 64.
works fine with 14.10 and 15.04 installed on same hardware different partitions.
note in 14.04 cheese preference lists many photo and video resolutions from 1600x1200 to 176x144 while in 14.10 and 15.04 resolutions listed are only these supported by the webcam.

Michał Sawicz (saviq) wrote :

Same here, XPS 12, guvcview seems to behave fine at the highest resolution in YUYV, most other software either shows corrupted video or (like cheese) just gives up.

Warren Jacques (warren-bipco) wrote :

Same problem - neither Cheese or guvcview produce anything.

Same message on Cheese : "There was an error playing video from webcam"

Command line Cheese output:

bipco@qBok:~$ cheese
libv4l2: error turning on stream: Invalid argument

(cheese:3352): cheese-WARNING **: Internal data flow error.: gstbasesrc.c(2865): gst_base_src_loop (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin17/GstV4l2Src:video_source:
streaming task paused, reason not-negotiated (-4)

lsusb for webcam: Bus 005 Device 100: ID 046d:081b Logitech, Inc. Webcam C310

Webcam worked out-of-the-box on previous Ubuntu versions.

jong (agitato816) wrote :

same error

after take photo with webcam, the msg appears, and I cannot use cheese more.

Linux umi 3.13.0-44-generic #73-Ubuntu SMP Tue Dec 16 00:22:43 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

demch (demch-kwmyf) wrote :

I have also verfifed problems on a XPS 12 running cheese and chrome (hangout)

Linux 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Bus 002 Device 004: ID 0bda:5716 Realtek Semiconductor Corp.

Some how vlc manages to work find with the camera.

Luke Brownbridge (lcb503) wrote :

Affects Ubuntu 14.04.

External USB Webcam HP HD 4310

Tuomas Lähteenmäki (lahtis) wrote :

Same behaior in 64bit trusty.

uname -a
Linux GameComputer 3.13.0-46-generic #79-Ubuntu SMP Tue Mar 10 20:06:50 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

darthanubis (darthanubis) wrote :

 cheese-WARNING **: Device '/dev/video0' is busy: gstv4l2object.c(2838): gst_v4l2_object_set_format (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin18/GstV4l2Src:video_source:
Call to S_FMT failed for YU12 @ 1280x960: Device or resource busy

^TGtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

cheese
libv4l2: error setting pixformat: Device or resource busy

(cheese:875): cheese-WARNING **: Device '/dev/video0' is busy: gstv4l2object.c(2838): gst_v4l2_object_set_format (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin18/GstV4l2Src:video_source:
Call to S_FMT failed for YU12 @ 1280x720: Device or resource busy

cheese
libv4l2: error got 4 consecutive frame decode errors, last error: v4l-convert: libjpeg error: End Of Image

(cheese:1152): cheese-WARNING **: Failed to allocate a buffer: gstv4l2src.c(755): gst_v4l2src_create (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin18/GstV4l2Src:video_source

Zubin (zparihar) wrote :
Download full text (7.2 KiB)

Any word on this guys?

I'm getting the same error as everybody else.

I have a Dell XPS 12 - model name : Intel(R) Core(TM) i7-4500U CPU @ 1.80GHz

I'm running Kubuntu 14.04 - 32 Bit

I've run different kernels from the Ubuntu repository with the same result: (Uname)

Linux zubin-dell-xps-12 3.13.0-43-generic #51~14.04.1-Ubuntu SMP i686 i686 i686 GNU/Linux

Linux zubin-dell-xps-12 3.16.0-37-generic #51~14.04.1-Ubuntu SMP i686 i686 i686 GNU/Linux

$ lsusb
Bus 001 Device 002: ID 8087:8000 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 004: ID 8087:09fa Intel Corp.
Bus 002 Device 003: ID 0bda:5716 Realtek Semiconductor Corp.
Bus 002 Device 002: ID 8087:07dc Intel Corp.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

The Video Works perfect in VLC, therefor I don't think this is a V4L2 Problem

However, It doesn't work with Cheese, Skype, guvcview

$ cheese
libv4l2: error got 4 consecutive frame decode errors, last error: v4l-convert: libjpeg error: End Of Image

(cheese:13269): cheese-WARNING **: Internal data flow error.: gstbasesrc.c(2865): gst_base_src_loop (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin17/GstV4l2Src:video_source:
streaming task paused, reason error (-5)

GStreamer packages installed:

$ dpkg -l | grep gstreamer
ii gstreamer0.10-alsa:i386 0.10.36-1.1ubuntu2 i386 GStreamer plugin for ALSA
ii gstreamer0.10-nice:i386 0.1.4-1 i386 ICE library (GStreamer 0.10 plugin)
ii gstreamer0.10-plugins-bad:i386 0.10.23-7.2ubuntu1.1 i386 GStreamer plugins from the "bad" set
ii gstreamer0.10-plugins-bad-multiverse 0.10.21-1ubuntu3 i386 GStreamer plugins from the "bad" set (Multiverse Variant)
ii gstreamer0.10-plugins-base:i386 0.10.36-1.1ubuntu2 i386 GStreamer plugins from the "base" set
ii gstreamer0.10-plugins-good:i386 0.10.31-3+nmu1ubuntu5 i386 GStreamer plugins from the "good" set
ii gstreamer0.10-plugins-ugly:i386 0.10.19-2ubuntu5 i386 GStreamer plugins from the "ugly" set
ii gstreamer0.10-pulseaudio:i386 0.10.31-3+nmu1ubuntu5 i386 GStreamer plugin for PulseAudio
ii gstreamer0.10-qapt 2.1.70-0ubuntu4.2 i386 GStreamer plugin to install codecs using QApt
ii gstreamer0.10-x:i386 0.10.36-1.1ubuntu2 i386 GStreamer plugins for X11 and Pango
ii gstreamer1.0-alsa:i386 1.2.4-1~ubunt...

Read more...

J B (buchner-johannes) wrote :

A workaround is to use vlc.

Use "Open > new streaming device"
set Video input: /dev/video0
Click the open button.

You can take photos using Video -> Take snapshot. They will land in ~/Pictures/ as vlcsnap*

Brad Erickson (eosrei) wrote :

This is a dupe of: https://bugs.launchpad.net/ubuntu/+source/cheese/+bug/998217 But this issue has many more followers/comments/details, I'm not sure which should be marked duplicate. Someone else who knows procedures better than I should decide.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libjpeg-turbo (Ubuntu):
status: New → Confirmed

The problem still happens in Ubuntu 15.04.

The error message I got when tried to run cheese:
(cheese:2693): cheese-WARNING **: Failed to allocate a buffer: gstv4l2src.c(755): gst_v4l2src_create (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin18/GstV4l2Src:video_source

My kernel version is: 3.16.0-031600-generic

Ramsey Gurley (ramseygurley) wrote :

I have the same problem using a Realtek cam on a 2015 Razer Blade 14". When I start cheese, I get some half video for a couple seconds then it dies with:

libv4l2: error got 4 consecutive frame decode errors, last error: v4l-convert: libjpeg error: End Of Image

(cheese:14656): cheese-WARNING **: Internal data flow error.: gstbasesrc.c(2865): gst_base_src_loop (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin17/GstV4l2Src:video_source:
streaming task paused, reason error (-5)

The camera is:

Bus 001 Device 006: ID 0bda:579f Realtek Semiconductor Corp.

I have more camera info here if someone is interested:

http://askubuntu.com/questions/662274/webcam-only-works-with-luvcview#

The camera works perfectly with luvcview. The camera fails with cheese in default settings, but sorta works if I go into preferences and choose 1280x720 resolution for images and video and restart cheese. I still get a horizonal line in the video near the bottom though. The camera fails with the gumwrapper example in Firefox.

https://github.com/tagawa/GumWrapper

The camera looks scrambled on the same example in chromium, very similar to if I had chosen 640x480 in cheese as the camera resolution. Using ubuntu 14.04.3. Cheese fails with default kernel as well as 4.0 vivid kernel.

Ramsey Gurley (ramseygurley) wrote :

Forgot to add: In my case, using vlc does not work.

Ramsey Gurley (ramseygurley) wrote :

I just tried libjpeg-turbo-official 1.4.1. It seems to have made things a bit worse instead of better :/

Same error - still doesn't work on Wily.

guvcview works fine, cheese and skype do not work.

Ēriks Karls (inpoc1) wrote :

I gad almost the same problem with HP probook 450 G1 built in webcam, but I saw the image and only when
i was about to take a picture (countdown went to zero and flash appeared) I got the message about video not being able to play, but then I followed ramseygurley: the camera fails with cheese in default settings, but sorta works if I go into preferences and choose 1280x720 resolution.
And I switched resolution to 640x480, restarted, switched back to 1280x720 and again restarted. Now I am able to take "selfies"

Brad Erickson (eosrei) wrote :

FWIW I just downloaded all the dependencies and compiled Cheese from https://github.com/GNOME/cheese in Ubuntu 15.10 it fails with the same error:

libv4l2: error got 4 consecutive frame decode errors, last error: v4l-convert: libjpeg error: End Of Image

Jalatantra (jaladesajna) wrote :

Hi, I have been facing this problem for long time. Exactly since February 2014, when I purchased ASUS X550 CA Notebook.
I purchased just with DOS(no operating system pre-installed) and started to work with Linux Mint Cinnamon(which is a derivative of Ubuntu).

Webcam: USB 2.0 HD UVC Webcam on /dev/video0.

Cheese usually gave me an error: There was an error playing from the webcam.
I couldn't fix it but I noticed that on somedays it would play normal. So I used to restart the system few times to get it to work but without any guarantee. Same problems with skype too, i.e, there would be no video.

Few days ago, I was trying Zorin OS 9(64 bit) on my ASUS x 550 CA to review and help a friend install. To my great surprise, I found that cheese worked out of the box(i.e., Webcam was playing OK) and same with skype too. I thought it was one of those lucky times and restarted and tried few more times. It was still working. So I installed Zorn OS 9 on my X550 CA and I was happy. Then after installation, I did a software update the next day and the webcam crashed as usual. I was unable to figure out what exactly happened. But then I realised that with the software update in Zorin OS(unlike Linux Mint), there was also a kernel update.

Fix: So I rebooted the system and from the prompt, I choose the older Kernel 3.13.0-32-generic from the options.
Result: The Webcam works. So does in skype and guvcview. I made a skype video call and checked that the webcam was working. Earlier(with my Linux Mint 17.x), even when the Webcam worked on one of those lucky instances, webcam used to freeze during webcall. That issue is also fixed for now.

I am not an expert at anything, but I guess it is possibly a Kernel issue. I would like to know if it works for you guys. All the best.-I will update here, if there is any further webcam crash with this Kernel 3.13.0-32-generic.

Archisman Panigrahi, thank you for reporting this and helping make Ubuntu better.

To see if this is already resolved, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

no longer affects: libjpeg-turbo (Ubuntu)
Changed in cheese (Ubuntu):
importance: High → Low
status: Confirmed → Incomplete
Brad Erickson (eosrei) wrote :

> To see if this is already resolved, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

The problem exists in the current xenial-desktop-amd64.iso 23-Mar-2016 08:45. I've made a new issue since it seems only OP can reply to this one: https://bugs.launchpad.net/ubuntu/+source/cheese/+bug/1562417

acss (alexandre-css) wrote :

Hello,

My configuration is:
- Ubuntu Ubuntu 14.04.4 LTS
- Kernel 3.13.0-86-generic x86_64
- Logitech C270 webcam

The camera did originally work when I first upgraded from Ubuntu 12.04, but it doesn't now. I'm not able to use it with any application (including cheese and Skype).

The following error was printed in the console today:
(cheese:5502): cheese-WARNING **: Internal data stream error.: gstbasesrc.c(2865): gst_base_src_loop (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin17/GstV4l2Src:video_source:
streaming task paused, reason not-negotiated (-4)

Considering that:
- Many people has this problem;
- It makes some webcams completely unusable;
- It has been around since March 2014;

I suggest that we increase its importance (currently Low). Do you agree?

Thanks in advance for everyone's help.

It still persists in 16.04 LTS

On Wed, May 11, 2016 at 6:11 PM, acss <email address hidden> wrote:

> Hello,
>
> My configuration is:
> - Ubuntu Ubuntu 14.04.4 LTS
> - Kernel 3.13.0-86-generic x86_64
> - Logitech C270 webcam
>
> The camera did originally work when I first upgraded from Ubuntu 12.04,
> but it doesn't now. I'm not able to use it with any application
> (including cheese and Skype).
>
> The following error was printed in the console today:
> (cheese:5502): cheese-WARNING **: Internal data stream error.:
> gstbasesrc.c(2865): gst_base_src_loop ():
> /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin17/GstV4l2Src:video_source:
> streaming task paused, reason not-negotiated (-4)
>
> Considering that:
> - Many people has this problem;
> - It makes some webcams completely unusable;
> - It has been around since March 2014;
>
> I suggest that we increase its importance (currently Low). Do you agree?
>
> Thanks in advance for everyone's help.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1295247
>
> Title:
> Cheese says "There was an error playing video from webcam"
>
> Status in cheese package in Ubuntu:
> Incomplete
>
> Bug description:
> Whenever I open Cheese in Ubuntu 14.04 beta 1 (Unity), my webcam's light
> once turns on, then it turns off and Cheese turns black, written "There was
> an error playing video from webcam". This never happened in any previous
> versions of Ubuntu.
> The problem is reproducible.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: cheese 3.10.2-0ubuntu2
> ProcVersionSignature: Ubuntu 3.13.0-12.32-generic 3.13.4
> Uname: Linux 3.13.0-12-generic i686
> ApportVersion: 2.13.2-0ubuntu5
> Architecture: i386
> CurrentDesktop: Unity
> Date: Thu Mar 20 22:29:57 2014
> InstallationDate: Installed on 2014-03-20 (0 days ago)
> InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Alpha i386
> (20140225)
> SourcePackage: cheese
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/cheese/+bug/1295247/+subscriptions
>

--
*Archisman Panigrahi. *

*I am learning Software Developing.*

*My Code: *https://github.com/apandada1/

*Supporting Greener Computing* - Do you really need to print this email?

acss, it will help immensely if you filed a new report with Ubuntu by running the following from a terminal:
ubuntu-bug cheese

Also, please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

tags: added: xenial

Archisman Panigrahi, to clarify your Bug Description, which webcam were you referring to, a laptop internal one or the external Logitech C170?

The laptop's internal webcam works fine with Ubuntu 16.04 but external
Logitech C170 does not work in desktop.

On Thu, May 19, 2016 at 4:24 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> Archisman Panigrahi, to clarify your Bug Description, which webcam were
> you referring to, a laptop internal one or the external Logitech C170?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1295247
>
> Title:
> Cheese says "There was an error playing video from webcam"
>
> Status in cheese package in Ubuntu:
> Incomplete
>
> Bug description:
> Whenever I open Cheese in Ubuntu 14.04 beta 1 (Unity), my webcam's light
> once turns on, then it turns off and Cheese turns black, written "There was
> an error playing video from webcam". This never happened in any previous
> versions of Ubuntu.
> The problem is reproducible.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: cheese 3.10.2-0ubuntu2
> ProcVersionSignature: Ubuntu 3.13.0-12.32-generic 3.13.4
> Uname: Linux 3.13.0-12-generic i686
> ApportVersion: 2.13.2-0ubuntu5
> Architecture: i386
> CurrentDesktop: Unity
> Date: Thu Mar 20 22:29:57 2014
> InstallationDate: Installed on 2014-03-20 (0 days ago)
> InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Alpha i386
> (20140225)
> SourcePackage: cheese
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/cheese/+bug/1295247/+subscriptions
>

--
*Archisman Panigrahi. *

*I am learning Software Developing.*

*My Code: *https://github.com/apandada1/

*Supporting Greener Computing* - Do you really need to print this email?

Archisman Panigrahi, to further clarify your comment:
>"external Logitech C170 does not work in desktop."

Are you stating the external Logitech C170 does not work when plugged into the laptop?

Also, could you please provide the full laptop model as noted on the sticker of the computer itself?

description: updated
tags: added: regression-release

I just installed ubuntu 16.04 on my PC 64 bit. I use the webcam C170. Opening cheese i get the following message:

libv4l2: error got 4 consecutive frame decode errors, last error: v4l-convert: libjpeg error: End Of Image

(cheese:5774): cheese-WARNING **: Failed to allocate a buffer: gstv4l2src.c(884): gst_v4l2src_create (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin18/GstV4l2Src:v4l2src1

Using mplayer I had the video recording stream on my screen.

Михаил (efklid) wrote :

On clear-installed Ubuntu 16.04 x64, with webcam C170 (Logitec) I have same problem with Cheese:

libv4l2: error got 4 consecutive frame decode errors, last error: v4l-convert: libjpeg error: End Of Image

(cheese:8149): cheese-WARNING **: Failed to allocate a buffer: gstv4l2src.c(851): gst_v4l2src_create (): /GstCameraBin:camerabin/GstWrapperCameraBinSrc:camera_source/GstBin:bin18/GstV4l2Src:v4l2src1

Two years of problem - you're kidding?

Brad Erickson (eosrei) wrote :

Please don't close this bug based on OP's recent post. This is a verified issue with Cheese, libjpeg-turbo and v4l.

@apandada1i: Please confirm this bug by answering all of Christopher's questions. Only verified bugs will be confirmed, triaged and worked on.

Archisman Panigrahi, to clarify, did you personally test it and it allowed you to use Cheese?

The problem persists in the desktop with the external webcam Logitech C170.
It does not happen in the laptop (HP 240 G4) when the internal webcam is used.
When the external webcam is used, the problem appears.
In both laptop and desktop, the problem can be solved by lowering image resolution (to 640x480) in Cheese preferences.
I have checked in Ubuntu 14.04 in both the computers and also in Ubuntu 16.04 in the desktop.

description: updated

Archisman Panigrahi, could you please open Cheese > Preferences > Webcam > click the Video resolution dropdown and post a screenshot of all the options?

I am attaching the list of available video resolutions. The list of photo resolutions is same too. The error appears in resolutions above 640x480.

Archisman Panigrahi, regarding your Logitech C170 webcam specifications from http://support.logitech.com/en_us/product/webcam-c170 it makes sense why your webcam doesn't work on 1024x768 or 800x640, as it doesn't support those specific resolutions.

Hence, to further narrow this down, regarding your Bug Description:
>"This never happened in any previous versions of Ubuntu."

This is too vague. Are you stating Cheese played these unsupported resolutions anyways, different resolutions were advertised, something different?

summary: - Cheese says "There was an error playing video from webcam"
+ [Logitech C170] Cheese says "There was an error playing video from
+ webcam"

I will check what happens in an older version of Ubuntu.
>"This never happened in any previous versions of Ubuntu."
What might have happened is that, Cheese sensed the maximum capability of
the webcam and used it by default.

velocity303 (velocity303) wrote :

I have been following this bug for a while now but want to add some information relevant to my system. I have a Razer Blade 14 (2014) and it has a 1920x1080 capable webcam. Information on the model is below:

Bus 003 Device 005: ID 0bda:579f Realtek Semiconductor Corp.

With Cheese however I have to reduce my camera's resolution to 176x144 to be able to get the camera to work at all without crashing the app.

My behavior is the same as Ramsey Gurley's who posted earlier in this thread, but wanted to clarify that my webcam is in fact capable of higher resolutions, but I still run into the bug.

velocity303, given you have different hardware, noted the app crashes, and it doesn't work for resolutions supported by your webcam, you have issues that are different from what is scoped in this report.

Hence, if you would like your issues addressed, please file a new report via a terminal:
ubuntu-bug cheese

Please feel free to subscribe me to it.

Christopher M. Penalver, do I need to provide any further information before this bug is confirmed?

Archisman Panigrahi, you said you were going to check what happens in an older version of Ubuntu. Could you please advise?

Steve Kondik (cyanogen) wrote :

Same issue on the new Razer Blade Pro. Works fine at 640x480 but becomes a mess at higher resolutions with half the video displayed and the rest of the frame blank or green. This camera is capable of 1920x1080.

Bus 001 Device 006: ID 0bda:579f Realtek Semiconductor Corp.

Yousef Amar (amar-) wrote :

Similar issues on the new Razer Blade running Arch Linux, so keeping an eye out for any fixes.

Steve Kondik (cyanogen), it will help immensely if you filed a new report via a terminal:
ubuntu-bug cheese

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

jher (jher-fnord) wrote :

I found a work-around. My problems with cheese started when I changed the "Effects". I ran the utility "dconf-editor" (from package dconf-utils) and selected the following:

org -> gnome -> cheese
  selected-effect [click set to default on the bottom right]

exit dconf-editor.

This allowed cheese to start again but selecting any effect caused the crashing issue to occur again.

Distributor ID: LinuxMint
Description: Linux Mint 18 Sarah
Release: 18
Codename: sarah
Camera: Microsoft LifeCam VX-3000

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.